<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditAccionesTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditAccionesLabel_accionesNombre}" for="accionesNombre" />
                    <h:inputText id="accionesNombre" value="#{accionesController.selected.accionesNombre}" title="#{bundle.EditAccionesTitle_accionesNombre}" >
                    <p:ajax event="keyup" listener="#{accionesController.selected.setAccionesNombreNuevo(accionesController.selected.accionesNombre)}"/>
                    </h:inputText>
                </h:panelGrid>

                <h:commandButton action="#{accionesController.update}" value="#{bundle.EditAccionesSaveLink}" immediate="true" >
                    <p:ajax update=":tabViewAdmin:accionesPanel:formAcciones:tablaAcciones" 
                            process="@this" oncomplete="PF('dlgAccion').hide();"/>
                </h:commandButton>
                <h:commandLink />
            </h:form>
        </ui:define>
    </ui:composition>

</html>
